commit:     0165a108c3dc2a6881c0610d47b887695064091a
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 12:36:30 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0165a108

x11-misc/xcalendar: fix build with -native-symlinks

Closes: https://bugs.gentoo.org/726258
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/xcalendar/xcalendar-4.0-r2.ebuild | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/x11-misc/xcalendar/xcalendar-4.0-r2.ebuild 
b/x11-misc/xcalendar/xcalendar-4.0-r2.ebuild
index b89bdea80b7..a6ccd189665 100644
--- a/x11-misc/xcalendar/xcalendar-4.0-r2.ebuild
+++ b/x11-misc/xcalendar/xcalendar-4.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -20,7 +20,7 @@ RDEPEND="x11-libs/libX11
        x11-libs/libXext"
 DEPEND="${RDEPEND}
        x11-base/xorg-proto
-       x11-misc/imake
+       >=x11-misc/imake-1.0.8-r1
        x11-misc/gccmakedep
        motif? ( >=x11-libs/motif-2.3:0 )"
 
@@ -35,9 +35,16 @@ src_prepare() {
                -i XCalendar.sed || die
 }
 
+src_configure() {
+       CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
+}
+
 src_compile() {
-       xmkmf -a || die
-       emake CC="$(tc-getCC)" CDEBUGFLAGS="${CFLAGS}" 
EXTRA_LDOPTIONS="${LDFLAGS}"
+       emake \
+               CC="$(tc-getCC)" \
+               CDEBUGFLAGS="${CFLAGS}" \
+               EXTRA_LDOPTIONS="${LDFLAGS}"
 }
 
 src_install() {

Reply via email to